{
  "CampusInsight": [
    {
      "1) Environmental inspection": [
        {
          "mode": "parallel",
          "nodes": [
            {
              "host": "${node_omp_vm_eth3_ip_1}",
              "port": "22",
              "username": "${os_user_root}",
              "passwd": "${os_pwd_root}",
              "context": {
                "sub_node_type": "main_fi_fabric",
                "_hostip": "${node_omp_vm_eth3_ip_1}",
                "_localNETypeList": "main_fi_fabric",
                "_selectedNetType": "scale_mini"
              }
            }
          ],
          "cmds": [
            {
              "action": "/root/EasySuite/888/script/python/bin/python",
              "path": "/root/EasySuite/888/script/",
              "type": "interact",
              "parameters": [
                {
                  "value": "launch.pyc processor -i -initparam pre.scale.initial"
                }
              ]
            },
            {
              "action": "/root/EasySuite/888/script/python/bin/python",
              "path": "/root/EasySuite/888/script/",
              "type": "interact",
              "input_paras": "os_pwd_root,os_others_user_pwd",
              "check_progress": "bash -l /root/EasySuite/888/script/pyscript/cloud/util/check_progress.sh pre.scale.initial",
              "timeout": "1200",
              "parameters": [
                {
                  "value": "launch.pyc processor -i -exec pre.scale.initial"
                },
                {
                  "value": "-selectedNetType $(_selectedNetType) -sub_node_type $(sub_node_type) -localNETypeList $(_localNETypeList)"
                },
                {
                  "value": "-base_os_type ${base_os_type} -expansion_unit ${components}"
                }
              ]
            }
          ]
        }
      ]
    },
    {
      "2) Analyzer Capacity Expansion": [
        {
          "mode": "parallel",
          "nodes": [
            {
              "host": "${node_omp_vm_eth3_ip_1}",
              "port": "22",
              "username": "${os_user_root}",
              "passwd": "${os_pwd_root}",
              "context": {
                "sub_node_type": "main_fi_fabric",
                "_hostip": "${node_omp_vm_eth3_ip_1}",
                "_localNETypeList": "main_fi_fabric",
                "_selectedNetType": "scale_mini"
              }
            }
          ],
          "cmds": [
            {
              "action": "/root/EasySuite/888/script/python/bin/python ",
              "path": "/root/EasySuite/888/script/",
              "type": "interact",
              "parameters": [
                {
                  "value": " launch.pyc processor -i -initparam cloudsop.scale.scale_analyzerExpand "
                }
              ]
            },
            {
              "action": "/root/EasySuite/888/script/python/bin/python ",
              "path": "/root/EasySuite/888/script/",
              "type": "interact",
              "input_paras": "os_pwd_root,os_root_user_pwd,all_os_default_passwd",
              "check_progress": "bash -l /root/EasySuite/888/script/pyscript/cloud/util/check_progress.sh cloudsop.scale.scale_analyzerExpand",
              "timeout": "7200",
              "parameters": [
                {
                  "value": " launch.pyc processor -i -exec cloudsop.scale.scale_analyzerExpand "
                },
                {
                  "value": " -localNETypeList $(_localNETypeList) -selectedNetType $(_selectedNetType) -sub_node_type $(sub_node_type) -expansion_unit ${components}"
                }
              ]
            }
          ]
        }
      ]
    },
    {
      "3) Post installation": [
        {
          "mode": "parallel",
          "nodes": [
            {
              "host": "${node_omp_vm_eth3_ip_1}",
              "port": "22",
              "username": "${os_user_root}",
              "passwd": "${os_pwd_root}",
              "context": {
                "sub_node_type": "main_fi_fabric",
                "_selectedNetType": "scale_mini"
              }
            }
          ],
          "cmds": [
            {
              "action": "/root/EasySuite/888/script/python/bin/python",
              "path": "/root/EasySuite/888/script/",
              "type": "interact",
              "check_progress": "bash -l /root/EasySuite/888/script/pyscript/cloud/util/check_progress.sh post.scale.postInstall",
              "timeout": "2400",
              "parameters": [
                {
                  "value": "launch.pyc processor -i -exec post.scale.postInstall"
                },
                {
                  "value": "-selectedNetType $(_selectedNetType) "
                }
              ]
            }
          ]
        },
        {
          "mode": "parallel",
          "nodes": [
            {
              "host": "${node_omp_vm_eth3_ip_1}",
              "port": "22",
              "username": "${os_user_root}",
              "passwd": "${os_pwd_root}",
              "context": {
                "sub_node_type": "main_fi_fabric",
                "_selectedNetType": "scale_mini"
              }
            }
          ],
          "cmds": [
            {
              "action": "/root/EasySuite/888/script/python/bin/python",
              "path": "/root/EasySuite/888/script/",
              "type": "interact",
              "parameters": [
                {
                  "value": "launch.pyc processor post.scale.clear_envs"
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}